

function RegisterCommands()

	---------------------------------------------------------------------------------------------

	-- /tulkas
	-- /tulkas scan <item id>
	-- /tulkas <item name or item id>

	tulkasCommand = Turbine.ShellCommand();

	function tulkasCommand:Execute(command,args)

		if args == "" then
			if Windows.wIcon:IsVisible() == false then
				Windows.wIcon:SetVisible(true);
				Windows.wIcon:Activate();
			else
				Windows.wIcon:SetVisible(false);
			end
		else

			local scanID = string.match(args,"scan (%d+)");		-- checks for scan ID, if exists returns the id value / otherwise nil

			if string.sub(args,1,5)=="scan" and scanID==nil then
				print(_STRINGS.ADDON[11][LANGID]);
			elseif scanID ~= nil then
				Windows.PrepareMissingScans(tonumber(scanID))
				Windows.wMissingItemsWin:SetVisible(true);
				Windows.wMissingItemsWin:Activate();
			elseif string.find(args,"equipment") then
				Windows.Includes.ShowEquipmentWin();
			else
				if tonumber(args) ~= nil and _ITEMSDB[tonumber(args)] ~= nil then
					Windows.PrepareResults({tonumber(args)})
					Windows.wSearchWin:SetVisible(true);
					Windows.wSearchWin:Activate();
				else
					if Windows.wSearchWin == nil then Windows.DrawSearchWin() end;
					Windows.search_txtName:SetText(args);
					Windows.PerformSearch();
					Windows.wSearchWin:SetVisible(true);
					Windows.wSearchWin:Activate();
					Windows.search_txtName:Focus();
				end
			end
		end
	end

	function tulkasCommand:GetHelp()
		return _STRINGS.ADDON[6][LANGID];
	end

	function tulkasCommand:GetShortHelp()
		return _STRINGS.ADDON[6][LANGID];
	end

	Turbine.Shell.AddCommand( "tulkas", tulkasCommand);

end





