
RESOURCEDIR = "GaluhadPlugins/Tulkas/Resources/";

_IMAGES =
	{

	--["MAINWINBACK"] = RESOURCEDIR .. "Back.tga";
	["ICONBACK"] = RESOURCEDIR .. "MainIcon.tga"; 	-- 32x32

	["CLASSBUTTON_NORMAL"] = RESOURCEDIR .. "classbutton_normal.tga"; -- 64x64
	["CLASSBUTTON_OVER"] = RESOURCEDIR .. "classbutton_over.tga"; -- 64x64

	["SCANEXISTS_TRUE"] = RESOURCEDIR .. "ScanExists_True.tga"; -- 16x16
	["SCANEXISTS_FALSE"] = RESOURCEDIR .. "ScanExists_False.tga"; -- 16x16

	["COMPARE_EQUIPPED"] = RESOURCEDIR .. "CompareBar_Equipped.tga"; -- 42x42

	["BUTTONS"] =
		{
		["EDIT"] =
			{
			["NORMAL"] = RESOURCEDIR .. "Button_Edit_Normal.tga"; -- 20x20
			["OVER"] = RESOURCEDIR .. "Button_Edit_Over.tga"; -- 20x20
			};
		["BUILD"] =
			{
			["NORMAL"] = RESOURCEDIR .. "Button_Build_Normal.tga"; -- 20x20
			["OVER"] = RESOURCEDIR .. "Button_Build_Over.tga"; -- 20x20
			};
		["COMPARE"] =
			{
			["NORMAL"] = RESOURCEDIR .. "Button_Compare_Normal.tga"; -- 20x20
			["OVER"] = RESOURCEDIR .. "Button_Compare_Over.tga"; -- 20x20
			};
		["BOOKMARK_SELECTED"] =
			{
			["NORMAL"] = RESOURCEDIR .. "Button_Bookmark_Selected_Normal.tga"; -- 20x20
			["OVER"] = RESOURCEDIR .. "Button_Bookmark_Selected_Over.tga"; -- 20x20
			};
		["BOOKMARK_UNSELECTED"] =
			{
			["NORMAL"] = RESOURCEDIR .. "Button_Bookmark_Unselected_Normal.tga"; -- 20x20
			["OVER"] = RESOURCEDIR .. "Button_Bookmark_Unselected_Over.tga"; -- 20x20
			};
		["REMOVE"] =
			{
			["NORMAL"] = RESOURCEDIR .. "Button_Remove_Normal.tga"; -- 20x20
			["OVER"] = RESOURCEDIR .. "Button_Remove_Over.tga"; -- 20x20
			};
		["MENU"] =
			{
			["NORMAL"] = RESOURCEDIR .. "MainMenu_Item_Normal.tga"; -- 210x36
			["OVER"] = RESOURCEDIR .. "MainMenu_Item_Over.tga"; -- 210x36
			};

		};

	["BACKGROUNDS"] =
		{
		["BUILDS_SLOTS"] =  RESOURCEDIR .. "Builds_Slots.tga"; -- 415x474
		["BUILDS_STATS"] =  RESOURCEDIR .. "Builds_Stats.tga"; -- 225x394
		["BUILDS_TABSBAR"] =  RESOURCEDIR .. "Builds_TabsBar.tga"; -- 660x25
		["BUILDS_COPY"] =  RESOURCEDIR .. "Build_Copy.tga"; -- 350x250
		["SEARCH_BAR"] = RESOURCEDIR .. "Search_SearchBar.tga"; -- 990x30
		["SEARCH_ADVANCED"] = RESOURCEDIR .. "Search_AdvancedBack.tga"; -- 990x440
		["SEARCH_HISTORY"] = RESOURCEDIR .. "SearchHistory_Back.tga"; -- 920x350
		["PAGENATE"] = RESOURCEDIR .. "PagenateBack.tga"; -- 380x30
		["SCAN_HEADER"] = RESOURCEDIR .. "Scan_Header.tga"; -- 813x30
		["SETS_BACK"] = RESOURCEDIR .. "SetEdit_Back.tga"; -- 312x550
		["SETS_BONUS"] = RESOURCEDIR .. "SetEdit_Bonus_Back.tga"; -- 350x142
		["EDIT_STATS"] = RESOURCEDIR .. "Edit_Stats.tga"; -- 350x95
		["ITEMS_BLOCKONE"] = RESOURCEDIR .. "Items_BlockOne.tga"; -- 280x590
		["ITEMS_BLOCKTWO"] = RESOURCEDIR .. "Items_BlockTwo.tga"; -- 660x200
		["ITEMS_BLOCKTHREE"] = RESOURCEDIR .. "Items_BlockThree.tga"; -- 660x370
		["EQUIPMENT"] = RESOURCEDIR .. "Equipment_Back.tga"; -- 600x500
		};

	["TABS"] =
		{
		["LEFT"] = RESOURCEDIR .. "tab_left.tga"; -- 5x24
		["RIGHT"] = RESOURCEDIR .. "tab_right.tga"; -- 5x24
		["MIDDLE"] = RESOURCEDIR .. "tab_middle.tga"; -- 11x24
		};

	["LISTITEMS"] =
		{
		["LEFT"] = RESOURCEDIR .. "ListItem_Left.tga"; -- 3x20
		["RIGHT"] = RESOURCEDIR .. "ListItem_Right.tga"; -- 3x20
		["MIDDLE"] = RESOURCEDIR .. "ListItem_Middle.tga"; -- 5x20
		};

	["COMPAREBAR"] =
		{
		["LEFT"] = RESOURCEDIR .. "CompareBar_Left.tga"; -- 7x95
		["RIGHT"] = RESOURCEDIR .. "CompareBar_Right.tga"; -- 117x95
		["MIDDLE"] = RESOURCEDIR .. "CompareBar_Middle.tga"; -- 10x95
		};

	["SLOTS"] =	-- 44x44
		{
		[1] = 0x41007EED;		-- Head
		[2] = 0x41007EF0;		-- Chest
		[3] = 0x41007EF1;		-- Legs
		[4] = 0x41007EF2;		-- Hand
		[5] = 0x41007EF5;		-- Feet
		[6] = 0x41007EEE;		-- Shoulders
		[7] = 0x41007EE9;		-- Back
		[8] = 0x41007EF8;		-- Left Bracelet
		[9] = 0x41007EF9;		-- Right Bracelet
		[10] = 0x41007EEF;		-- Neck
		[11] = 0x41007EF3;		-- Left Ring
		[12] = 0x41007EF4;		-- Right Ring
		[13] = 0x41007EF6;		-- Left Ear
		[14] = 0x41007EF7;		-- Right Ear
		[15] = 0x41007EFA;		-- Pocket
 		[16] = 0x41007EEA;		-- Primary Weapon
		[17] = 0x41007EEB;		-- Secondary Weapon/Shield
		[18] = 0x41007EEC;		-- Ranged Weapon
		};

	["LEFTARROW"] = -- 25x25
		{
		[1] = 0x41000279;	-- Normal
		[2] = 0x41000276;	-- Over
		[3] = 0x41000278;	-- Down
		[4] = 0x41000277;	-- Disabled
		};

	["RIGHTARROW"] = -- 25x25
		{
		[1] = 0x41000275;	-- Normal
		[2] = 0x41000272;	-- Over
		[3] = 0x41000274;	-- Down
		[4] = 0x41000273;	-- Disabled
		};

	["CLASS"] =	-- 48x48
		{
		[40] = 0x41007E87; 	-- Burglar
		[24] = 0x410081F3;	-- Captain
		[172] = 0x410081CD;	-- Champion
		[23] = 0x410081FF;	-- Guardian
		[162] = 0x41008201;	-- Hunter
		[185] = 0x410081FC;	-- Lore-Master
		[31] = 0x410081F7;	-- Minstrel
		[193] = 0x410E81CB;	-- Rune-Keeper
		[194] = 0x410E0DCA;	-- Warden
		};

	};
