
function DrawEditItemWin()

	wEditItemWin = Turbine.UI.Lotro.Window();
	wEditItemWin:SetSize(1000,655);
	wEditItemWin:SetPosition((SCREENWIDTH/2)-(wEditItemWin:GetWidth()/2),(SCREENHEIGHT/2)-(wEditItemWin:GetHeight()/2));
	wEditItemWin:SetText(_LABELS[35][LANGID]);
	wEditItemWin:SetVisible(false);
	wEditItemWin:SetHideF12(true);
	wEditItemWin:SetCloseEsc(false);

	item_cBlockOne = Turbine.UI.Control();
	item_cBlockOne:SetParent(wEditItemWin);
	item_cBlockOne:SetSize(280,wEditItemWin:GetHeight()-65);
	item_cBlockOne:SetPosition(20,40);
	item_cBlockOne:SetBackground(_IMAGES.BACKGROUNDS.ITEMS_BLOCKONE);

	item_cBlockTwo = Turbine.UI.Control();
	item_cBlockTwo:SetParent(wEditItemWin);
	item_cBlockTwo:SetPosition(item_cBlockOne:GetLeft()+item_cBlockOne:GetWidth()+20,item_cBlockOne:GetTop());
	item_cBlockTwo:SetSize(wEditItemWin:GetWidth()-20-item_cBlockTwo:GetLeft(),200);
	item_cBlockTwo:SetBackground(_IMAGES.BACKGROUNDS.ITEMS_BLOCKTWO);

	item_cBlockThree = Turbine.UI.Control();
	item_cBlockThree:SetParent(wEditItemWin);
	item_cBlockThree:SetPosition(item_cBlockTwo:GetLeft(),item_cBlockTwo:GetTop()+20+item_cBlockTwo:GetHeight());
	item_cBlockThree:SetSize(660,370);
	item_cBlockThree:SetVisible(false);
	item_cBlockThree["ItemID"] = 0;
	item_cBlockThree:SetBackground(_IMAGES.BACKGROUNDS.ITEMS_BLOCKTHREE);

	-- BLOCK ONE ----------------------------------------------------------------------------------------------------------
	item_lblSaved = NewWindowLabel(item_cBlockOne,150,nil,10,10,_LABELS[36][LANGID]..":");

	item_lstSaved = Turbine.UI.ListBox();
	item_lstSaved:SetParent(item_cBlockOne);
	item_lstSaved:SetSize(item_cBlockOne:GetWidth()-32,item_cBlockOne:GetHeight()-75);
	item_lstSaved:SetPosition(10,35);

	item_sbSaved = NewScrollBar(item_lstSaved,"vertical",item_cBlockOne);

	item_chkAll = Turbine.UI.Lotro.CheckBox();
	item_chkAll:SetParent(item_cBlockOne);
	item_chkAll:SetSize(16,16);
	item_chkAll:SetPosition(item_lstSaved:GetLeft()+item_lstSaved:GetWidth()-item_chkAll:GetWidth()-2,item_lblSaved:GetTop());
	item_chkAll:SetToolTip(_TOOLTIPS[17][LANGID]);

	item_chkAll.CheckedChanged = function ()
		CheckAllSaved(item_chkAll:IsChecked());
	end

	item_btnExport = Turbine.UI.Lotro.Button();
	item_btnExport:SetParent(item_cBlockOne);
	item_btnExport:SetPosition(10,item_lstSaved:GetTop()+item_lstSaved:GetHeight()+10);
	item_btnExport:SetWidth(80);
	item_btnExport:SetText(_LABELS[37][LANGID]);

	item_btnExport.Click = function ()
		ExportSelectedItems();
	end

	item_btnDelete = Turbine.UI.Lotro.Button();
	item_btnDelete:SetParent(item_cBlockOne);
	item_btnDelete:SetPosition(item_btnExport:GetLeft()+item_btnExport:GetWidth()+10,item_btnExport:GetTop());
	item_btnDelete:SetWidth(80);
	item_btnDelete:SetText(_LABELS[38][LANGID]);

	item_btnDelete.Click = function ()
		DeleteSelectedItems();
	end

	-- BLOCK TWO ----------------------------------------------------------------------------------------------------------
	item_lblScans = NewWindowLabel(item_cBlockTwo,250,nil,10,10,_LABELS[39][LANGID]..":");

	item_chkScans = Turbine.UI.Lotro.CheckBox();
	item_chkScans:SetParent(item_cBlockTwo);
	item_chkScans:SetPosition(300,10);
	item_chkScans:SetSize(200,20);
	item_chkScans:SetFont(_FONTS[2]);
	item_chkScans:SetForeColor(_COLORS[4]);
	item_chkScans:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	item_chkScans:SetText(" " .. _LABELS[50][LANGID]);
	item_chkScans:SetChecked(SETTINGS.ALLOWSCANS);
	item_chkScans:SetToolTip(_TOOLTIPS[14][LANGID]);

	item_chkScans.CheckedChanged = function()
		SETTINGS.ALLOWSCANS = item_chkScans:IsChecked();
	end

	item_lstScans = Turbine.UI.ListBox();
	item_lstScans:SetParent(item_cBlockTwo);
	item_lstScans:SetSize(item_cBlockTwo:GetWidth()-172,item_cBlockTwo:GetHeight()-45);
	item_lstScans:SetPosition(10,35);
	--item_lstScans:SetBackColor(Turbine.UI.Color(0.15,0.15,0.15));

	item_lstScans.MouseClick = function ()
		ClearSelectedScan();
	end

	item_sbScans = NewScrollBar(item_lstScans,"vertical",item_cBlockTwo);

	item_lblSelID = NewWindowLabel(item_cBlockTwo , 150 , nil , item_lstScans:GetLeft()+item_lstScans:GetWidth()+20 , 10, _LABELS[41][LANGID]..":");

	item_txtSelID = NewWindowTextBox(item_cBlockTwo , 130 , nil , item_lblSelID:GetLeft() , item_lblSelID:GetTop()+item_lblSelID:GetHeight()+5 , "");
	item_txtSelID:SetReadOnly(true);
	item_txtSelID:SetToolTip(_TOOLTIPS[15][LANGID]);
	item_txtSelID:SetForeColor(_COLORS[2]);

	item_btnUse = Turbine.UI.Lotro.Button();
	item_btnUse:SetParent(item_cBlockTwo);
	item_btnUse:SetWidth(100);
	item_btnUse:SetPosition(item_lblSelID:GetLeft(),item_txtSelID:GetTop()+45);
	item_btnUse:SetText(_LABELS[42][LANGID]);
	item_btnUse:SetVisible(false);

	item_btnUse.Click = function ()
		ApplySelID();
	end

	item_btnUse.VisibleChanged = function ()
		item_chkRemove:SetVisible(item_btnUse:IsVisible());
		item_lblAutoRemove:SetVisible(item_btnUse:IsVisible());
	end

	item_chkRemove = Turbine.UI.Lotro.CheckBox();
	item_chkRemove:SetParent(item_cBlockTwo);
	item_chkRemove:SetPosition(item_btnUse:GetLeft(),item_btnUse:GetTop()+30);
	item_chkRemove:SetSize(20,20);
	item_chkRemove:SetFont(_FONTS[2]);
	item_chkRemove:SetForeColor(_COLORS[4]);
	item_chkRemove:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	item_chkRemove:SetText("");
	item_chkRemove:SetChecked(SETTINGS.AUTOREMOVESCANS);
	item_chkRemove:SetVisible(false);

	item_chkRemove.CheckedChanged = function()
		SETTINGS.AUTOREMOVESCANS = item_chkRemove:IsChecked();
	end

	item_lblAutoRemove = NewWindowLabel(item_cBlockTwo,120,30,item_chkRemove:GetLeft()+22,item_chkRemove:GetTop()-5,_LABELS[61][LANGID]);
	item_lblAutoRemove:SetVisible(false);

	-- BLOCK THREE --------------------------------------------------------------------------------------------------------

	item_lblName = NewWindowLabel(item_cBlockThree,180,nil,10,10,_TABLES.ITEMINFO[1][LANGID]..":");
	item_txtName = NewWindowTextBox(item_cBlockThree,350,nil,10,item_lblName:GetTop()+item_lblName:GetHeight()+5,"");

	item_lblID = NewWindowLabel(item_cBlockThree,130,nil,item_txtName:GetLeft()+item_txtName:GetWidth()+10,10,_LABELS[43][LANGID]..":");

	item_txtID = NewWindowTextBox(item_cBlockThree,130,nil,item_lblID:GetLeft(),item_lblID:GetTop()+item_lblID:GetHeight()+5,"");
	item_txtID:SetReadOnly(true);
	item_txtID:SetSelectable(false);
	item_txtID:SetForeColor(_COLORS[2]);

	item_lblVerify = NewWindowLabel(item_cBlockThree,130,nil,item_txtID:GetLeft()+item_txtID:GetWidth()+10,10,_LABELS[44][LANGID]..":");

	item_qsVerify = Turbine.UI.Lotro.ItemInfoControl();
	item_qsVerify:SetParent(item_cBlockThree);
	item_qsVerify:SetSize(36,36);
	item_qsVerify:SetPosition(item_lblVerify:GetLeft()+20,item_lblVerify:GetTop()+item_lblVerify:GetHeight());
	item_qsVerify:SetAllowDrop(false);

	item_lblStats = NewWindowLabel(item_cBlockThree,150,nil,item_txtID:GetLeft()+10,item_qsVerify:GetTop()+36,_TABLES.ITEMINFO[6][LANGID]..":");

	item_lstStats = Turbine.UI.ListBox();
	item_lstStats:SetParent(item_cBlockThree);
	item_lstStats:SetPosition(item_lblStats:GetLeft(),item_lblStats:GetTop()+22);
	item_lstStats:SetSize(item_cBlockThree:GetWidth()-21-item_lstStats:GetLeft(),item_cBlockThree:GetHeight()-155-item_lstStats:GetTop());

	item_sbStats = NewScrollBar(item_lstStats,"vertical",item_cBlockThree);

	item_btnAddStat = Turbine.UI.Lotro.Button();
	item_btnAddStat:SetParent(item_cBlockThree);
	item_btnAddStat:SetWidth(30);
	item_btnAddStat:SetPosition(item_cBlockThree:GetWidth()-20-item_btnAddStat:GetWidth(),item_lstStats:GetTop()+item_lstStats:GetHeight()+5);
	item_btnAddStat:SetText("+");
	item_btnAddStat:SetToolTip(_TOOLTIPS[16][LANGID]);

	item_btnAddStat.Click = function ()
		AddStat();
	end

	item_lblSetName = NewWindowLabel(item_cBlockThree,item_lstStats:GetWidth(),18,item_lstStats:GetLeft(),item_btnAddStat:GetTop()+15,_TABLES.ITEMINFO[15][LANGID]..":");
	item_txtSetName = NewWindowTextBox(item_cBlockThree,item_lstStats:GetWidth(),22,item_lblSetName:GetLeft(),item_lblSetName:GetTop()+20);
	item_txtSetName:SetReadOnly(true);
	item_txtSetName:SetSelectable(false);

	item_lblReqLevel = NewWindowLabel(item_cBlockThree,80,36,item_txtName:GetLeft(),item_lblStats:GetTop(),_TABLES.ITEMINFO[2][LANGID]..":");
	item_txtReqLevel = NewWindowTextBox(item_cBlockThree,80,nil,item_lblReqLevel:GetLeft(),item_lblReqLevel:GetTop()+item_lblReqLevel:GetHeight()+3,"");
	RegisterEditEvent(item_txtReqLevel);

	item_lblItemLevel = NewWindowLabel(item_cBlockThree,80,36,item_lblReqLevel:GetLeft()+item_lblReqLevel:GetWidth()+20,item_lblReqLevel:GetTop(),_TABLES.ITEMINFO[3][LANGID]..":");
	item_txtItemLevel = NewWindowTextBox(item_cBlockThree,80,nil,item_lblItemLevel:GetLeft(),item_lblItemLevel:GetTop()+item_lblItemLevel:GetHeight()+3,"");
	RegisterEditEvent(item_txtItemLevel);

	item_lblClass = NewWindowLabel(item_cBlockThree,80,nil,item_txtReqLevel:GetLeft(),item_txtReqLevel:GetTop()+item_txtReqLevel:GetHeight()+10,_TABLES.ITEMINFO[14][LANGID]..":");

	local _ddTable = {};
	for k,v in pairs(_TABLES.CLASS) do
		table.insert(_ddTable, v[LANGID]);
	end
	table.sort(_ddTable);
	table.insert(_ddTable,1,_LABELS[45][LANGID]);

	item_ddClass = Utils.DropDown(_ddTable,_LABELS[45][LANGID]);
	item_ddClass:SetParent(item_cBlockThree);
	item_ddClass:SetPosition(item_lblClass:GetLeft(),item_lblClass:GetTop()+item_lblClass:GetHeight()+5);
	item_ddClass:SetSearchID(0);

	item_ddClass.ItemChanged = function()
		if item_ddClass:GetText() == _LABELS[45][LANGID] then
			item_ddClass:SetSearchID(0);
		else
			item_ddClass:SetSearchID(GetDropDownSearchID(item_ddClass,_TABLES.CLASS));
		end
	end


	item_lblArmour = NewWindowLabel(item_cBlockThree,100,nil,item_ddClass:GetLeft()+item_ddClass:GetWidth()+20,item_lblClass:GetTop(),_TABLES.ITEMINFO[8][LANGID]..":");
	item_txtArmour = NewWindowTextBox(item_cBlockThree,100,nil,item_lblArmour:GetLeft(),item_lblArmour:GetTop()+item_lblArmour:GetHeight()+5,"");
	RegisterEditEvent(item_txtArmour);


	item_lblSlot = NewWindowLabel(item_cBlockThree,80,nil,item_ddClass:GetLeft(),item_ddClass:GetTop()+item_ddClass:GetHeight()+10,_TABLES.ITEMINFO[5][LANGID]..":");

	_ddTable = {};
	for k,v in ipairs(_TABLES.SLOT) do
		table.insert(_ddTable, v[LANGID]);
	end

	item_ddSlot = Utils.DropDown(_ddTable);
	item_ddSlot:SetParent(item_cBlockThree);
	item_ddSlot:SetPosition(item_lblSlot:GetLeft(),item_lblSlot:GetTop()+item_lblSlot:GetHeight()+5);
	item_ddSlot:SetSearchID(GetDropDownSearchID(item_ddSlot,_TABLES.SLOT));

	item_ddSlot.ItemChanged = function()
		item_ddSlot:SetSearchID(GetDropDownSearchID(item_ddSlot,_TABLES.SLOT));
		SlotChanged();
	end


	item_lblQuality = NewWindowLabel(item_cBlockThree,80,nil,item_ddSlot:GetLeft()+item_ddSlot:GetWidth()+20,item_lblSlot:GetTop(),_TABLES.ITEMINFO[4][LANGID]..":");

	item_ddQuality = Utils.DropDown();	-- Need a more dynamic menu for quality, so people can see the label colours
	item_ddQuality:SetParent(item_cBlockThree);
	item_ddQuality:SetPosition(item_lblQuality:GetLeft(),item_lblQuality:GetTop()+item_lblQuality:GetHeight()+5);
	item_ddQuality:SetText(_TABLES.QUALITY[1][LANGID]);
	item_ddQuality:SetSearchID(GetDropDownSearchID(item_ddQuality,_TABLES.QUALITY));

	local qualityList = item_ddQuality:GetListBox();

	for k,v in ipairs(_TABLES.QUALITY) do

		local tempItemLine = Turbine.UI.Control();
		tempItemLine:SetSize(qualityList:GetWidth(),19);

		local lblQuality = Turbine.UI.Label();
		lblQuality:SetParent(tempItemLine);
		lblQuality:SetSize(tempItemLine:GetWidth()-10,17);
		lblQuality:SetPosition(5,1);
		lblQuality:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
		lblQuality:SetMultiline(false);
		lblQuality:SetForeColor(_QUALITYCOLORS[k]);
		lblQuality:SetOutlineColor(Turbine.UI.Color(0.85,0.85,0.85));
		lblQuality:SetFontStyle(0);
		lblQuality:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
		lblQuality:SetMouseVisible(false);
		lblQuality:SetText(v[LANGID]);

		tempItemLine.MouseEnter = function (sender, args)
			lblQuality:SetOutlineColor(Turbine.UI.Color(0.3,0.3,0.2));
			lblQuality:SetFontStyle(Turbine.UI.FontStyle.Outline);
		end

		tempItemLine.MouseLeave = function (sender, args)
			lblQuality:SetOutlineColor(Turbine.UI.Color(0,0,0));
			lblQuality:SetFontStyle(Turbine.UI.FontStyle.None);
		end

		tempItemLine.MouseClick = function()
			item_ddQuality:SetText(lblQuality:GetText());
			item_ddQuality:SetSearchID(GetDropDownSearchID(item_ddQuality,_TABLES.QUALITY));
			item_ddQuality:Close();
		end

		qualityList:AddItem(tempItemLine);
	end


	item_lblType = NewWindowLabel(item_cBlockThree,120,nil,item_ddSlot:GetLeft(),item_ddSlot:GetTop()+item_ddSlot:GetHeight()+10,_LABELS[46][LANGID]..":");

	_ddTable = {};
	for i=1,13 do
		table.insert(_ddTable, _TABLES.WEAPONTYPE[i][LANGID]);
	end

	item_ddWeaponType = Utils.DropDown(_ddTable);
	item_ddWeaponType:SetParent(item_cBlockThree);
	item_ddWeaponType:SetPosition(item_lblType:GetLeft(),item_lblType:GetTop()+item_lblType:GetHeight()+5);
	item_ddWeaponType:SetSearchID(GetDropDownSearchID(item_ddWeaponType,_TABLES.WEAPONTYPE));

	item_ddWeaponType.ItemChanged = function()
		item_ddWeaponType:SetSearchID(GetDropDownSearchID(item_ddWeaponType,_TABLES.WEAPONTYPE));
	end

	_ddTable = {};
	for i=14,16 do
		table.insert(_ddTable, _TABLES.WEAPONTYPE[i][LANGID]);
	end

	item_ddShieldType = Utils.DropDown(_ddTable);
	item_ddShieldType:SetParent(item_cBlockThree);
	item_ddShieldType:SetPosition(item_lblType:GetLeft(),item_lblType:GetTop()+item_lblType:GetHeight()+5);
	item_ddShieldType:SetSearchID(GetDropDownSearchID(item_ddShieldType,_TABLES.WEAPONTYPE));

	item_ddShieldType.ItemChanged = function()
		item_ddShieldType:SetSearchID(GetDropDownSearchID(item_ddShieldType,_TABLES.WEAPONTYPE));
	end

	_ddTable = {};
	for i=17,21 do
		table.insert(_ddTable, _TABLES.WEAPONTYPE[i][LANGID]);
	end

	item_ddRangedType = Utils.DropDown(_ddTable);
	item_ddRangedType:SetParent(item_cBlockThree);
	item_ddRangedType:SetPosition(item_lblType:GetLeft(),item_lblType:GetTop()+item_lblType:GetHeight()+5);
	item_ddRangedType:SetSearchID(GetDropDownSearchID(item_ddRangedType,_TABLES.WEAPONTYPE));

	item_ddRangedType.ItemChanged = function()
		item_ddRangedType:SetSearchID(GetDropDownSearchID(item_ddRangedType,_TABLES.WEAPONTYPE));
		if item_ddRangedType:GetSearchID()==20 or item_ddRangedType:GetSearchID()==21 then
			item_ddDamageType:SetVisible(false);
			item_lblDamageType:SetVisible(false);
			item_lblDmg:SetVisible(false);
			item_lblMinDmg:SetVisible(false);
			item_lblMaxDmg:SetVisible(false);
			item_lblDPS:SetVisible(false);
			item_txtMinDmg:SetVisible(false);
			item_txtMaxDmg:SetVisible(false);
			item_txtDPS:SetVisible(false);
		else
			item_ddDamageType:SetVisible(true);
			item_lblDamageType:SetVisible(true);
			item_lblDmg:SetVisible(true);
			item_lblMinDmg:SetVisible(true);
			item_lblMaxDmg:SetVisible(true);
			item_lblDPS:SetVisible(true);
			item_txtMinDmg:SetVisible(true);
			item_txtMaxDmg:SetVisible(true);
			item_txtDPS:SetVisible(true);
		end
	end

	_ddTable = {};
	for k,v in ipairs(_TABLES.ARMORTYPE) do
		table.insert(_ddTable, v[LANGID]);
	end

	item_ddArmourType = Utils.DropDown(_ddTable);
	item_ddArmourType:SetParent(item_cBlockThree);
	item_ddArmourType:SetPosition(item_lblType:GetLeft(),item_lblType:GetTop()+item_lblType:GetHeight()+5);
	item_ddArmourType:SetSearchID(GetDropDownSearchID(item_ddArmourType,_TABLES.ARMORTYPE));

	item_ddArmourType.ItemChanged = function()
		item_ddArmourType:SetSearchID(GetDropDownSearchID(item_ddArmourType,_TABLES.ARMORTYPE));
	end

	item_lblDamageType = NewWindowLabel(item_cBlockThree,120,nil,item_ddWeaponType:GetLeft()+item_ddWeaponType:GetWidth()+20,item_lblType:GetTop(),_TABLES.ITEMINFO[13][LANGID]..":");

	_ddTable = {};
	for i=1, 8 do
		table.insert(_ddTable, _TABLES.DAMAGETYPE[i][LANGID]);
	end

	item_ddDamageType = Utils.DropDown(_ddTable);
	item_ddDamageType:SetParent(item_cBlockThree);
	item_ddDamageType:SetPosition(item_lblDamageType:GetLeft(),item_lblDamageType:GetTop()+item_lblDamageType:GetHeight()+5);
	item_ddDamageType:SetSearchID(GetDropDownSearchID(item_ddDamageType,_TABLES.DAMAGETYPE));

	item_ddDamageType.ItemChanged = function()
		item_ddDamageType:SetSearchID(GetDropDownSearchID(item_ddDamageType,_TABLES.DAMAGETYPE));
	end


	item_lblDmg = NewWindowLabel(item_cBlockThree,100,nil,10,item_ddDamageType:GetTop()+item_ddDamageType:GetHeight()+10,_LABELS[47][LANGID]..":");

	item_lblMinDmg = NewWindowLabel(item_cBlockThree,40,nil,10,item_lblDmg:GetTop()+item_lblDmg:GetHeight()+10,_LABELS[48][LANGID]..":");
	item_lblMinDmg:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	item_txtMinDmg = NewWindowTextBox(item_cBlockThree,50,nil,item_lblMinDmg:GetLeft()+item_lblMinDmg:GetWidth()+10,item_lblMinDmg:GetTop(),"");
	RegisterEditEvent(item_txtMinDmg);

	item_lblMaxDmg = NewWindowLabel(item_cBlockThree,40,nil,item_txtMinDmg:GetLeft()+item_txtMinDmg:GetWidth()+20,item_txtMinDmg:GetTop(),_LABELS[49][LANGID]..":");
	item_lblMaxDmg:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	item_txtMaxDmg = NewWindowTextBox(item_cBlockThree,50,nil,item_lblMaxDmg:GetLeft()+item_lblMaxDmg:GetWidth()+10,item_lblMaxDmg:GetTop(),"");
	RegisterEditEvent(item_txtMaxDmg);

	item_lblDPS = NewWindowLabel(item_cBlockThree,40,nil,item_txtMaxDmg:GetLeft()+item_txtMaxDmg:GetWidth()+20,item_txtMaxDmg:GetTop(),_LABELS[11][LANGID]..":");
	item_lblDPS:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleRight);
	item_txtDPS = NewWindowTextBox(item_cBlockThree,50,nil,item_lblDPS:GetLeft()+item_lblDPS:GetWidth()+10,item_lblDPS:GetTop(),"");
	RegisterEditEvent(item_txtDPS);

	-----------------------------------------------------------------------------------------------------------------------

	item_btnCancel = Turbine.UI.Lotro.Button();
	item_btnCancel:SetParent(item_cBlockThree);
	item_btnCancel:SetWidth(80);
	item_btnCancel:SetPosition(item_cBlockThree:GetWidth()-20-item_btnCancel:GetWidth(),item_cBlockThree:GetHeight()-40);
	item_btnCancel:SetText(_LABELS[55][LANGID]);

	item_btnCancel.Click = function()
		ItemEdit_Cancel();
	end

	item_btnClear = Turbine.UI.Lotro.Button();
	item_btnClear:SetParent(item_cBlockThree);
	item_btnClear:SetWidth(80);
	item_btnClear:SetPosition(item_btnCancel:GetLeft()-10-item_btnClear:GetWidth(),item_btnCancel:GetTop());
	item_btnClear:SetText(_LABELS[4][LANGID]);

	item_btnClear.Click = function()
		local tempMsg = Utils.MessageBox(_LABELS[60][LANGID],"MBYESNO");
		tempMsg.ButtonClick = function (sender,args) -- Event executed when a button is pressed.. args returns a table with the value of the button pressed
			if args.Button == "MBYES" then
				ItemEdit_Clear();
			end
		end
	end

	item_btnSave = Turbine.UI.Lotro.Button();
	item_btnSave:SetParent(item_cBlockThree);
	item_btnSave:SetWidth(80);
	item_btnSave:SetPosition(item_btnClear:GetLeft()-10-item_btnSave:GetWidth(),item_btnCancel:GetTop());
	item_btnSave:SetText(_LABELS[59][LANGID]);

	item_btnSave.Click = function()
		ItemEdit_Save();
	end


	RefreshSavedList();
	SlotChanged();

	-- Window Events --
	wEditItemWin.Closed = function ()
		ItemEdit_Cancel();
	end

end


function CheckAllSaved(checked)
	if checked == nil then checked = false end;
	for i=1, item_lstSaved:GetItemCount() do
		local item = item_lstSaved:GetItem(i);
		item.Check:SetChecked(checked);
	end
end


function ItemEdit_Clear()

	item_txtReqLevel:SetText("");
	item_txtItemLevel:SetText("");
	item_txtArmour:SetText("");
	item_txtMinDmg:SetText("");
	item_txtMaxDmg:SetText("");
	item_txtDPS:SetText("");

	item_lstStats:ClearItems();

	item_ddClass:SetText(_LABELS[45][LANGID]);
	item_ddClass:SetSearchID(0);
	item_ddClass:Reset();

	item_ddSlot:SetText(_TABLES.SLOT[1][LANGID]);
	item_ddSlot:SetSearchID(1);
	item_ddSlot:Reset();

	item_ddQuality:SetText(_TABLES.QUALITY[1][LANGID]);
	item_ddQuality:SetSearchID(1);
	item_ddQuality:Reset();

	item_ddWeaponType:SetText(_TABLES.WEAPONTYPE[1][LANGID]);
	item_ddWeaponType:SetSearchID(1);
	item_ddWeaponType:Reset();

	item_ddRangedType:SetText(_TABLES.WEAPONTYPE[17][LANGID]);
	item_ddRangedType:SetSearchID(17);
	item_ddRangedType:Reset();

	item_ddShieldType:SetText(_TABLES.WEAPONTYPE[14][LANGID]);
	item_ddShieldType:SetSearchID(14);
	item_ddShieldType:Reset();

	item_ddArmourType:SetText(_TABLES.ARMORTYPE[1][LANGID]);
	item_ddArmourType:SetSearchID(1);
	item_ddArmourType:Reset();

	item_ddDamageType:SetText(_TABLES.DAMAGETYPE[1][LANGID]);
	item_ddDamageType:SetSearchID(1);
	item_ddDamageType:Reset();

	SlotChanged();
end


function ItemEdit_Cancel()
	ItemEdit_Clear();
	item_txtName:SetText("");
	item_txtID:SetText("");
	item_txtSetName:SetText("");
	item_txtSetName["SetTable"] = nil;
	item_qsVerify:SetItemInfo();
	item_cBlockThree:SetVisible(false);
	item_cBlockThree.ItemID = 0;
end


function ItemEdit_Save()

	local _emptyFields = GetEmptyFields();

	if #_emptyFields ~= 0 then
		Utils.MessageBox(_LABELS[65][LANGID] .. ": " .. table.concat(_emptyFields,", "));
		return;
	end

	local itemID = tonumber(item_txtID:GetText());

	_ITEMSDB[itemID] = {};
	_ITEMS[itemID] = {};

	_ITEMS[itemID][1]={[1]="";[2]="";[3]="";[4]="";};				-- Item Name
	_ITEMS[itemID][1][LANGID] = item_txtName:GetText();

	_ITEMS[itemID][2] = tonumber(item_txtReqLevel:GetText());		-- Required Level
	_ITEMS[itemID][3] = tonumber(item_txtItemLevel:GetText());		-- Item Level
	_ITEMS[itemID][4] = item_ddQuality:GetSearchID();				-- Quality
	_ITEMS[itemID][5] = item_ddSlot:GetSearchID();					-- Slot

	if item_lstStats:GetItemCount() > 0 then
		_ITEMS[itemID][6] = {};		-- Stats
		for i=1, item_lstStats:GetItemCount() do
			local item = item_lstStats:GetItem(i);
			_ITEMS[itemID][6][item.StatID] = item.StatVal;
		end
	end

	if item_ddArmourType:IsVisible() then _ITEMS[itemID][7] = item_ddArmourType:GetSearchID() end;		-- Armour Type
	if item_txtArmour:IsVisible() then _ITEMS[itemID][8] = tonumber(item_txtArmour:GetText()) end;		-- Armour Ratings
	if item_ddWeaponType:IsVisible() then _ITEMS[itemID][9]	= item_ddWeaponType:GetSearchID() end;		-- Weapon Type
	if item_ddShieldType:IsVisible() then _ITEMS[itemID][9]	= item_ddShieldType:GetSearchID() end;		-- Shield Type
	if item_ddRangedType:IsVisible() then _ITEMS[itemID][9]	= item_ddRangedType:GetSearchID() end;		-- Ranged Type
	if item_txtMinDmg:IsVisible() then _ITEMS[itemID][10] = tonumber(item_txtMinDmg:GetText()) end;		-- Min Damage
	if item_txtMaxDmg:IsVisible() then _ITEMS[itemID][11] = tonumber(item_txtMaxDmg:GetText()) end;		-- Max Damage
	if item_txtDPS:IsVisible() then _ITEMS[itemID][12] = tonumber(item_txtDPS:GetText()) end;			-- DPS
	if item_ddDamageType:IsVisible() then _ITEMS[itemID][13] = item_ddDamageType:GetSearchID() end;		-- Damage Type
	if item_ddClass:GetSearchID() ~= 0 then _ITEMS[itemID][14] = item_ddClass:GetSearchID() end;		-- Class
	if item_txtSetName.SetTable ~= nil then _ITEMS[itemID][15] = Utils.deepcopy(item_txtSetName.SetTable) end;			-- Set

	_ITEMSDB[itemID] = Utils.deepcopy(_ITEMS[itemID]);

	Debug(_LABELS[64][LANGID]);
	RefreshSavedList();
	ItemEdit_Cancel();

	if wSearchWin ~= nil and wSearchWin:IsVisible() then PrepareResults({itemID}) end;

	Includes.ItemAddedEquippedUpdate(itemID);
end


function GetEmptyFields()
	local _emptyFields = {};
	if item_txtName:GetText() == "" then table.insert(_emptyFields,_TABLES.ITEMINFO[1][LANGID]) end;
	if item_txtID:GetText() == "" then table.insert(_emptyFields,_LABELS[43][LANGID]) end;
	if item_txtReqLevel:GetText() == "" then item_txtReqLevel:SetText("0") end;
	if item_txtItemLevel:GetText() == "" then item_txtItemLevel:SetText("0") end;
	if item_txtArmour:IsVisible() and item_txtArmour:GetText() == "" then table.insert(_emptyFields,_TABLES.ITEMINFO[8][LANGID]) end;
	if item_txtMinDmg:IsVisible() and item_txtMinDmg:GetText() == "" then table.insert(_emptyFields,_TABLES.ITEMINFO[10][LANGID]) end;
	if item_txtMaxDmg:IsVisible() and item_txtMaxDmg:GetText() == "" then table.insert(_emptyFields,_TABLES.ITEMINFO[11][LANGID]) end;
	if item_txtDPS:IsVisible() and item_txtDPS:GetText() == "" then table.insert(_emptyFields,_TABLES.ITEMINFO[12][LANGID]) end;
	return _emptyFields;
end


function SlotChanged()
	local slotID = item_ddSlot:GetSearchID();

	local showArmourRating = false;
	local showTypeLabel = false;
	local showWeaponType = false;
	local showShieldType = false;
	local showRangedType = false;
	local showArmourType = false;
	local showDamage = false;

	if slotID >=1 and slotID <= 5 then			-- Jewellery

	elseif slotID >=6 and slotID <= 12 then 	-- Armour
		showArmourRating = true;
		if slotID ~= 8 then -- Back
			showArmourType = true;
			showTypeLabel = true;
		end
	elseif slotID == 13 then					-- Melee Weapon
		showTypeLabel = true;
		showWeaponType = true;
		showDamage =true;
	elseif slotID == 14 then					-- Shield
		showArmourRating = true;
		showTypeLabel = true;
		showShieldType = true;
	elseif slotID == 15 then					-- Ranged Weapon
		showTypeLabel = true;
		showRangedType = true;
		showDamage = true;
	elseif slotID == 16 then					-- RuneStone
		showDamage =true;
	end

	item_lblArmour:SetVisible(showArmourRating);
	item_txtArmour:SetVisible(showArmourRating);

	item_lblType:SetVisible(showTypeLabel);
	item_ddWeaponType:SetVisible(showWeaponType);

	item_lblDamageType:SetVisible(showDamage);
	item_ddDamageType:SetVisible(showDamage);
	item_ddShieldType:SetVisible(showShieldType);
	item_ddRangedType:SetVisible(showRangedType);
	item_ddArmourType:SetVisible(showArmourType);

	item_lblDmg:SetVisible(showDamage);

	item_lblMinDmg:SetVisible(showDamage);
	item_txtMinDmg:SetVisible(showDamage);

	item_lblMaxDmg:SetVisible(showDamage);
	item_txtMaxDmg:SetVisible(showDamage);

	item_lblDPS:SetVisible(showDamage);
	item_txtDPS:SetVisible(showDamage);

	if slotID==15 then
		if item_ddRangedType:GetSearchID()==20 then
			item_ddDamageType:SetVisible(false);
			item_lblDamageType:SetVisible(false);
			item_lblDmg:SetVisible(false);
			item_lblMinDmg:SetVisible(false);
			item_lblMaxDmg:SetVisible(false);
			item_lblDPS:SetVisible(false);
			item_txtMinDmg:SetVisible(false);
			item_txtMaxDmg:SetVisible(false);
			item_txtDPS:SetVisible(false);
		else
			item_ddDamageType:SetVisible(true);
			item_lblDamageType:SetVisible(true);
			item_lblDmg:SetVisible(true);
			item_lblMinDmg:SetVisible(true);
			item_lblMaxDmg:SetVisible(true);
			item_lblDPS:SetVisible(true);
			item_txtMinDmg:SetVisible(true);
			item_txtMaxDmg:SetVisible(true);
			item_txtDPS:SetVisible(true);
		end
	end
end


function NewChannelScan(name,id,itemInstance)

	if name == nil or id == nil then return end;
	if wEditItemWin == nil then DrawEditItemWin() end;	-- make sure window exists

	-- Make sure list does not exceed SCANMAX  also make sure selected item is cleared before removing (if needed)
	if item_lstScans:GetItemCount() >= SETTINGS.SCANMAX then
		if item_lstScans.SelectedItem ~= nil and item_lstScans.SelectedItem == item_lstScans:GetItem(SETTINGS.SCANMAX) then ClearSelectedScan() end;
		item_lstScans:RemoveItemAt(SETTINGS.SCANMAX);
	end

	local aliasString = "";

	if itemInstance == nil then
		aliasString = name;
	else
		aliasString = itemInstance;
	end

	local cItemContainer = NewItemContainer(item_lstScans:GetWidth(),20);
	cItemContainer["ItemID"] = id;
	cItemContainer["ItemName"] = name;

	cItemContainer.MouseClick = function (Sender,Args)

		if Args.Button == Turbine.UI.MouseButton.Right then
			ScansRemove(cItemContainer);
		else
			if item_lstScans.SelectedItem ~= nil then
				if item_lstScans.SelectedItem == cItemContainer then
					ClearSelectedScan();
				else
					item_lstScans.SelectedItem:SetBackColor();
					SetSelectedScan(cItemContainer);
				end
			else
				SetSelectedScan(cItemContainer);
			end
		end
	end

	local cExists = Turbine.UI.Control();
	cExists:SetParent(cItemContainer);
	cExists:SetSize(16,16);
	cExists:SetPosition(2,2);
	cExists:SetBlendMode(4);
	cExists:SetMouseVisible(false);

	if _ITEMSDB[id] == nil then
		cExists:SetBackground(_IMAGES.SCANEXISTS_FALSE);
	else
		cExists:SetBackground(_IMAGES.SCANEXISTS_TRUE);
	end


	local lblName = Turbine.UI.Label();
	lblName:SetParent(cItemContainer);
	lblName:SetSize(cItemContainer:GetWidth()-5-cExists:GetWidth()-cExists:GetLeft(),cItemContainer:GetHeight()-6);
	lblName:SetPosition(cExists:GetLeft()+cExists:GetWidth()+5,4);
	lblName:SetFont(_FONTS[1]);
	lblName:SetForeColor(_COLORS[3]);
	lblName:SetFontStyle(Turbine.UI.FontStyle.Outline);
	lblName:SetMarkupEnabled(true);
	lblName:SetOutlineColor(Turbine.UI.Color.Black);
	lblName:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	lblName:SetMouseVisible(true);
	lblName:SetText(aliasString);

	lblName.MouseClick = function(Sender,Args)
		cItemContainer.MouseClick(Sender,Args);
	end

	item_lstScans:InsertItem(1,cItemContainer);

end


function SetSelectedScan(item)
	if item == nil then return end;
	item_txtSelID:SetText(item.ItemID);
	item_lstScans["SelectedItem"] = item;
	item:SetBackColor(_COLORS[12]);
	item_btnUse:SetVisible(true);

	if _ITEMSDB[item.ItemID] == nil then
		item_btnUse:SetText(_LABELS[54][LANGID]);
	else
		item_btnUse:SetText(_LABELS[58][LANGID]);
	end
end


function ClearSelectedScan()
	if item_lstScans.SelectedItem ~= nil then
		item_txtSelID:SetText("");
		item_lstScans.SelectedItem:SetBackColor();
		item_lstScans.SelectedItem = nil;
		item_btnUse:SetVisible(false);
	end
end


function ApplySelID()
	if item_lstScans.SelectedItem ~= nil then
		local itemID = item_lstScans.SelectedItem.ItemID;
		ItemEdit_Cancel();
		item_txtName:SetText(item_lstScans.SelectedItem.ItemName);
		item_txtID:SetText(itemID);
		VerifyItemID(itemID);
		LoadItemData(itemID);
		item_cBlockThree:SetVisible(true);

		if SETTINGS.AUTOREMOVESCANS == true then
			item_lstScans:RemoveItem(item_lstScans.SelectedItem);
		end
	end

	ClearSelectedScan();

end


function LoadItemData(itemID,itemName)
	if wEditItemWin == nil then DrawEditItemWin() end;
	--ItemEdit_Clear();

	if itemID == nil or _ITEMSDB[itemID] == nil then return end;

	if itemName ~= nil then item_txtName:SetText(itemName) end;
	item_txtID:SetText(itemID);
	VerifyItemID(itemID);

	item_cBlockThree.ItemID = itemID;

	local _itemInfo = _ITEMSDB[itemID];

	if _itemInfo[2] ~= nil then item_txtReqLevel:SetText(_itemInfo[2]) end;
	if _itemInfo[3] ~= nil then item_txtItemLevel:SetText(_itemInfo[3]) end;
	if _itemInfo[8] ~= nil then item_txtArmour:SetText(_itemInfo[8]) end;
	if _itemInfo[10] ~= nil then item_txtMinDmg:SetText(_itemInfo[10]) end;
	if _itemInfo[11] ~= nil then item_txtMaxDmg:SetText(_itemInfo[11]) end;
	if _itemInfo[12] ~= nil then item_txtDPS:SetText(_itemInfo[12]) end;

	if _itemInfo[4] ~= nil then item_ddQuality:SetText(_TABLES.QUALITY[_itemInfo[4]][LANGID]) end;
	if _itemInfo[5] ~= nil then item_ddSlot:SetText(_TABLES.SLOT[_itemInfo[5]][LANGID]) end;
	if _itemInfo[7] ~= nil then item_ddArmourType:SetText(_TABLES.ARMORTYPE[_itemInfo[7]][LANGID]) end;

	if _itemInfo[5] ~= nil and _itemInfo[5] == 13 then	-- Melee
		if _itemInfo[9] ~= nil then item_ddWeaponType:SetText(_TABLES.WEAPONTYPE[_itemInfo[9]][LANGID]) end;
		item_ddWeaponType:SetSearchID(GetDropDownSearchID(item_ddWeaponType,_TABLES.WEAPONTYPE));
	elseif _itemInfo[5] ~= nil and _itemInfo[5] == 15 then	-- Ranged
		if _itemInfo[9] ~= nil then item_ddRangedType:SetText(_TABLES.WEAPONTYPE[_itemInfo[9]][LANGID]) end;
		item_ddRangedType:SetSearchID(GetDropDownSearchID(item_ddRangedType,_TABLES.WEAPONTYPE));
	elseif _itemInfo[5] ~= nil and _itemInfo[5] == 14 then	-- Shield
		if _itemInfo[9] ~= nil then item_ddShieldType:SetText(_TABLES.WEAPONTYPE[_itemInfo[9]][LANGID]) end;
		item_ddShieldType:SetSearchID(GetDropDownSearchID(item_ddShieldType,_TABLES.WEAPONTYPE));
	end

	if _itemInfo[13] ~= nil then item_ddDamageType:SetText(_TABLES.DAMAGETYPE[_itemInfo[13]][LANGID]) end;
	if _itemInfo[14] ~= nil then item_ddClass:SetText(_TABLES.CLASS[_itemInfo[14]][LANGID]) end;

	if _itemInfo[15] ~= nil then
		if _itemInfo[15][1][LANGID] ~= nil and _itemInfo[15][1][LANGID] ~= "" then
			item_txtSetName:SetText(_itemInfo[15][1][LANGID]);
		else
			item_txtSetName:SetText(_itemInfo[15][1][1]);
		end
		item_txtSetName["SetTable"] = Utils.deepcopy(_itemInfo[15]);
	end

	item_ddQuality:SetSearchID(GetDropDownSearchID(item_ddQuality,_TABLES.QUALITY));
	item_ddSlot:SetSearchID(GetDropDownSearchID(item_ddSlot,_TABLES.SLOT));
	item_ddArmourType:SetSearchID(GetDropDownSearchID(item_ddArmourType,_TABLES.ARMORTYPE));
	item_ddDamageType:SetSearchID(GetDropDownSearchID(item_ddDamageType,_TABLES.DAMAGETYPE));

	if item_ddClass:GetText() == _LABELS[45][LANGID] then
		item_ddClass:SetSearchID(0);
	else
		item_ddClass:SetSearchID(GetDropDownSearchID(item_ddClass,_TABLES.CLASS));
	end

	-- Stat loop --
	if _itemInfo[6] ~= nil and type(_itemInfo[6]) == 'table' then
		for k,v in pairs (_itemInfo[6]) do
			HandleNewStat(k,v);
		end
	end

	SlotChanged();

	wEditItemWin:SetVisible(true);
	wEditItemWin:Activate();
	item_cBlockThree:SetVisible(true);

end


function VerifyItemID(itemID)
	if itemID == nil then return end;
	local itemHex = Utils.TO_HEX(itemID);

	local cItemInspect = Turbine.UI.Lotro.Quickslot();
	cItemInspect:SetSize(1,1);
	cItemInspect:SetPosition(0,0);
	cItemInspect:SetVisible(false);

	local function SetInspectIcon() 	-- PCALL THIS incase item no longer exists.
		cItemInspect:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Item, "0x0,0x" .. itemHex));
	end

	if pcall(SetInspectIcon) then
		SetInspectIcon();
		local itemInfo = cItemInspect:GetShortcut():GetItem():GetItemInfo();
		item_qsVerify:SetItemInfo(itemInfo);
		item_qsVerify:SetQuantity(1);
	end
end


function ScansRemove(item)
	if item == nil then return end;
	local contextMenu = Turbine.UI.ContextMenu();
	local menuItems = contextMenu:GetItems();
	local cRemove = Turbine.UI.MenuItem(_LABELS[19][LANGID]);
	local cRemoveAll = Turbine.UI.MenuItem(_LABELS[73][LANGID]);
	cRemove.Click = function()
		if item_lstScans.SelectedItem ~= nil and item_lstScans.SelectedItem == item then ClearSelectedScan() end;
		item_lstScans:RemoveItem(item);
	end
	cRemoveAll.Click = function()
		local msg = Utils.MessageBox(_LABELS[74][LANGID],"MBYESNO");
		msg.ButtonClick = function (Sender,Args)
			if Args.Button == "MBYES" then item_lstScans:ClearItems() end;
		end
	end
	menuItems:Add(cRemove);
	menuItems:Add(cRemoveAll);
	contextMenu:ShowMenu();
end


function EditStatsMenu(item)
	if item == nil then return end;
	local contextMenu = Turbine.UI.ContextMenu();
	local menuItems = contextMenu:GetItems();
	local cStat = Turbine.UI.MenuItem(_TABLES.STATS[item.StatID][LANGID],false);
	local cRemove = Turbine.UI.MenuItem(_LABELS[19][LANGID]);
	local cEdit = Turbine.UI.MenuItem(_LABELS[108][LANGID]);
	cRemove.Click = function()
		item_lstStats:RemoveItem(item);
	end
	cEdit.Click = function()
		Includes.DisplayStatEdit(item.StatID,item.StatVal);
	end
	menuItems:Add(cStat);
	menuItems:Add(cEdit);
	menuItems:Add(cRemove);
	contextMenu:ShowMenu();
end


function AddStat()
	Includes.DisplayStatPopup();
end


function StatAlreadyAdded(statID)
	if statID == nil then return false end;
	for i=1, item_lstStats:GetItemCount() do
		if item_lstStats:GetItem(i).StatID == statID then return item_lstStats:GetItem(i) end;
	end
end


function HandleNewStat(statID,statVal)
	if statID == nil or statVal == nil then return end;
	statVal = tonumber(statVal);
	local statName = _TABLES.STATS[statID][LANGID];

	if StatAlreadyAdded(statID) ~= nil then
		Utils.MessageBox(_LABELS[57][LANGID] .. ": " .. statName);
		return;
	end

	item_lstStats:AddItem(CreateNewStatLine(statID,statVal));
end


function HandleEditStat(statID,statVal)
	if statID == nil or statVal == nil then return end;
	statVal = tonumber(statVal);
	local statName = _TABLES.STATS[statID][LANGID];
	local insertIndex = 0;

	local oldItem = StatAlreadyAdded(statID);

	if oldItem ~= nil then
		insertIndex = item_lstStats:IndexOfItem(oldItem);
		item_lstStats:RemoveItem(oldItem)
	end

	item_lstStats:InsertItem(insertIndex,CreateNewStatLine(statID,statVal));
end


function CreateNewStatLine(statID,statVal)

	local statName = _TABLES.STATS[statID][LANGID];

	local cItemContainer = NewItemContainer(item_lstStats:GetWidth(),14);
	cItemContainer["StatID"] = statID;
	cItemContainer["StatVal"] = statVal;

	cItemContainer.MouseClick = function (Sender,Args)
		if Args.Button == Turbine.UI.MouseButton.Right then EditStatsMenu(cItemContainer) end;
	end

	local txtPrefix = Turbine.UI.TextBox();
	txtPrefix:SetParent(cItemContainer);
	txtPrefix:SetPosition(2,0);
	txtPrefix:SetSize(2,cItemContainer:GetHeight());
	txtPrefix:SetFont(_FONTS[4]);
	txtPrefix:SetForeColor(_COLORS[11]);
	txtPrefix:SetMultiline(false);
	txtPrefix:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	txtPrefix:SetText(GetStatPrefix(statID));
	Utils.AutoWidth(txtPrefix);
	txtPrefix:SetReadOnly(true);

	local txtVal = Turbine.UI.TextBox();
	txtVal:SetParent(cItemContainer);
	txtVal:SetPosition(txtPrefix:GetLeft()+txtPrefix:GetWidth()+1,0);
	txtVal:SetSize(60,cItemContainer:GetHeight());
	txtVal:SetFont(_FONTS[4]);
	txtVal:SetForeColor(_COLORS[11]);
	txtVal:SetMultiline(false);
	txtVal:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	txtVal:SetText(Utils.comma_value(statVal));
	Utils.AutoWidth(txtVal);
	txtVal:SetReadOnly(true);

	local txtSuffix = Turbine.UI.TextBox();
	txtSuffix:SetParent(cItemContainer);
	txtSuffix:SetPosition(txtVal:GetLeft()+txtVal:GetWidth()+1,0);
	txtSuffix:SetSize(60,cItemContainer:GetHeight());
	txtSuffix:SetFont(_FONTS[4]);
	txtSuffix:SetForeColor(_COLORS[11]);
	txtSuffix:SetMultiline(false);
	txtSuffix:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	txtSuffix:SetText(GetStatSuffix(statID));
	Utils.AutoWidth(txtSuffix);
	txtSuffix:SetReadOnly(true);

	local lblStatName = Turbine.UI.Label();
	lblStatName:SetParent(cItemContainer);
	lblStatName:SetPosition(txtSuffix:GetLeft()+txtSuffix:GetWidth()+1,0);
	lblStatName:SetSize(cItemContainer:GetWidth()-lblStatName:GetLeft(),cItemContainer:GetHeight());
	lblStatName:SetFont(_FONTS[4]);
	lblStatName:SetForeColor(_COLORS[11]);
	lblStatName:SetMouseVisible(false);
	lblStatName:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
	lblStatName:SetText(statName);

	return cItemContainer;

end


function RefreshSavedList()
	item_lstSaved:ClearItems();
	item_chkAll:SetChecked(false);

	local _sort = {};

	for k,v in pairs (_ITEMS) do
		local itemName = "";
		if v[1][LANGID] == nil or v[1][LANGID] == "" then
			itemName = v[1][1];
		else
			itemName = v[1][LANGID];
		end
		table.insert(_sort,{["Name"]=itemName;["ID"]=k});
	end

	table.sort(_sort,function(a,b) return a.Name<b.Name end);

	for i=1, #_sort do

		local itemName = _sort[i].Name;

		local cItemContainer = NewItemContainer(item_lstSaved:GetWidth(),22);
		cItemContainer["ItemID"] = _sort[i].ID;
		cItemContainer["Checked"] = false;
		cItemContainer["ItemName"] = itemName;

		cItemContainer.MouseClick = function ()
			ItemEdit_Cancel();
			LoadItemData(_sort[i].ID,cItemContainer.ItemName);
		end

		if string.len(itemName) > 33 then
			cItemContainer:SetToolTip(itemName);
			itemName = string.sub(itemName,1,31) .. "...";
		end

		local lblName = Turbine.UI.Label();
		lblName:SetParent(cItemContainer);
		lblName:SetSize(cItemContainer:GetWidth()-30,18);
		lblName:SetPosition(2,2);
		lblName:SetMultiline(false);
		lblName:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
		lblName:SetFont(_FONTS[2]);
		lblName:SetForeColor(_COLORS[3]);
		lblName:SetMouseVisible(false);
		lblName:SetText(itemName);

		local chkItem = Turbine.UI.Lotro.CheckBox();
		chkItem:SetParent(cItemContainer);
		chkItem:SetSize(16,16);
		chkItem:SetPosition(cItemContainer:GetWidth()-2-chkItem:GetWidth(),3);

		chkItem.CheckedChanged = function ()
			cItemContainer.Checked = chkItem:IsChecked();
			local checkCount = GetCheckedItemsCount();
			if checkCount == item_lstSaved:GetItemCount() then
				item_chkAll:SetChecked(true);
			elseif checkCount == 0 then
				item_chkAll:SetChecked(false);
			end
		end

		cItemContainer["Check"] = chkItem;

		item_lstSaved:AddItem(cItemContainer);

	end
end


function ExportSelectedItems()
	if GetCheckedItemsCount() == 0 then
		Utils.MessageBox(_LABELS[63][LANGID]);
		return;
	end
	Includes.PrepareNewExport();
	for i=1, item_lstSaved:GetItemCount() do
		local item = item_lstSaved:GetItem(i);
		if item.Checked == true then Includes.AddToExport(item.ItemID) end;
	end
end


function DeleteSelectedItems()
	if GetCheckedItemsCount() == 0 then
		Utils.MessageBox(_LABELS[63][LANGID]);
		return;
	end
	local tempMsg = Utils.MessageBox(_LABELS[62][LANGID],"MBYESNO");
	tempMsg.ButtonClick = function (sender,args) -- Event executed when a button is pressed.. args returns a table with the value of the button pressed
		if args.Button == "MBYES" then
			local _delete = {};
			for i=1, item_lstSaved:GetItemCount() do
				local item = item_lstSaved:GetItem(i);
				if item.Checked == true then
					table.insert(_delete,item);
					if item.ItemID == item_cBlockThree.ItemID then ItemEdit_Cancel() end;
				end
			end
			for k,v in ipairs(_delete) do
				_ITEMS[v.ItemID] = nil;
				item_lstSaved:RemoveItem(v);
			end
			item_chkAll:SetChecked(false);
		end
	end
end


function GetCheckedItemsCount()
	local count = 0;
	for i=1, item_lstSaved:GetItemCount() do
		local item = item_lstSaved:GetItem(i);
		if item.Checked == true then count = count + 1 end;
	end
	return count;
end

