
function DrawExportWin()

	wExportWin = Turbine.UI.Lotro.Window();
	wExportWin:SetSize(700,500);
	wExportWin:SetPosition((SCREENWIDTH/2)-(wExportWin:GetWidth()/2),(SCREENHEIGHT/2)-(wExportWin:GetHeight()/2));
	wExportWin:SetText(_LABELS[51][LANGID]);

	wExportWin:SetHideF12(true);
	wExportWin:SetCloseEsc(true);


	export_lblHelp = NewWindowLabel(wExportWin,wExportWin:GetWidth()-60,45,30,45,_LABELS[66][LANGID]);

	export_txtItems = Turbine.UI.Lotro.TextBox();
	export_txtItems:SetParent(wExportWin);
	export_txtItems:SetPosition(export_lblHelp:GetLeft(),export_lblHelp:GetTop()+export_lblHelp:GetHeight()+10);
	export_txtItems:SetSize(export_lblHelp:GetWidth(),wExportWin:GetHeight()-48-export_txtItems:GetTop());
	export_txtItems:SetMultiline(true);
	export_txtItems:SetFont(_FONTS[4]);

	export_sbItems = NewScrollBar(export_txtItems,"vertical",wExportWin);

	export_btnSelectAll = Turbine.UI.Lotro.Button();
	export_btnSelectAll:SetParent(wExportWin);
	export_btnSelectAll:SetWidth(100);
	export_btnSelectAll:SetPosition((wExportWin:GetWidth()/2)-(export_btnSelectAll:GetWidth()/2),export_txtItems:GetTop()+export_txtItems:GetHeight()+10);
	export_btnSelectAll:SetText(_LABELS[67][LANGID]);

	export_btnSelectAll.Click = function()
		export_txtItems:SelectAll();
		export_txtItems:Focus();
	end

end


function AddToExport(itemID)
	if itemID == nil then return end;
	local _curItem = _ITEMS[itemID];
	local output = "[" .. tostring(itemID) .. "]=";
	output = output .. DumpItemInfo(_curItem);
	export_txtItems:AppendText(output .. "\n");
	wExportWin:SetVisible(true);
	wExportWin:Activate();
end


function DumpItemInfo(_table)
	local sReturn = "{";
	for k,v in pairs (_table) do
		sReturn = sReturn .. "[" .. k .. "]=";
		if type(v) == 'table' then
			sReturn = sReturn .. DumpItemInfo(v);
		else
			if type(v) == 'number' then
				sReturn = sReturn .. v .. ";";
			else
				sReturn = sReturn .. "\"" .. v .. "\";";
			end
		end
	end
	sReturn = sReturn .. "};";
	return sReturn;
end


function PrepareNewExport()
	if wExportWin == nil then DrawExportWin() end;
	export_txtItems:SetText("http://www.lotrointerface.com/downloads/info669-Tulkas.html\n\n");
end
