
import "GaluhadPlugins.Tulkas.Windows.Includes";
import "GaluhadPlugins.Tulkas.Windows.DesktopIcon";
import "GaluhadPlugins.Tulkas.Windows.BuildsWin";
import "GaluhadPlugins.Tulkas.Windows.EditItemWin";
import "GaluhadPlugins.Tulkas.Windows.EditSetWin";
import "GaluhadPlugins.Tulkas.Windows.MainWin";
import "GaluhadPlugins.Tulkas.Windows.MissingItemsWin";
import "GaluhadPlugins.Tulkas.Windows.SearchWin";
import "GaluhadPlugins.Tulkas.Windows.SearchHistory";
import "GaluhadPlugins.Tulkas.Windows.CompareToolbar";
import "GaluhadPlugins.Tulkas.Windows.CompareWin";

function DrawWindows()
	-- Other windows are only drawn at the time they are called, using the following table.
	_TABLES["WINDOWS"] =
		{
		["wSearchWin"] = "DrawSearchWin";	-- Name of window / Draw function
		["wEditItemWin"] = "DrawEditItemWin";
		["wBookmarkWin"] = "DrawSearchWin";
		["wBuildWin"] = "DrawBuildWin";
		["wEditSetWin"] = "DrawEditSetWin";
		["wMissingItemsWin"] = "DrawMissingItemsWin";
		};

	DrawMainWin();
	DrawDesktopIcon();
end
